package org.javafxdata.control.cell;

import java.util.List;

import com.sun.javafx.css.StyleManager;

class CSSCell {

    public static long getPseudoClassState(long mask, List<String> states) {
        if (states.isEmpty()) {
            return mask;
        }
        
        StyleManager sm = StyleManager.getInstance();
        for (int i = 0; i < states.size(); i++) {
            mask |= sm.getPseudoclassMask(states.get(i));
        }
        return mask;        
    }
}
